[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.PassCmdLineOptions

Passes command line arguments needed for the platform.

## Declaration

Source position: interfacebase.pp line 127

`protected procedure TWidgetSet.PassCmdLineOptions; virtual;`

## Description

PassCmdLineOptions is a procedure used to pass command line arguments used for the platform-specific widgetset implementation. PassCmdLineOptions has an empty implementation in TWidgetSet, and must be overridden in a descendent class. It allows command line arguments to be preprocessed or modified prior to starting an application.